List Bank Account Settlement executions
GET
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
configId*stringFormat
uuidid?stringFormat
uuidfromTimestamp?stringFormat
date-timetoTimestamp?stringFormat
date-timepaymentId?stringpaymentReconReference?stringX-Forwarded-For?stringOK
application/json- response
[index: integer]?curl -X GET 'https://www.api.revio.co.za/v2/bankaccountsettlement/config/497f6eca-6276-4993-bfeb-53cbbbba6f08/execute'Example Response200
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "configId": "46ff6d11-d8b2-40d8-9197-dfa33c61cd6c", "createdAt": "2019-08-24T14:15:22Z", "items": [ { "amountCents": 0, "eftPaymentId": "3f769180-cf38-47ce-bdce-fbead91a4bda", "settlementInstrument": "EFTSAMEDAY_PAYMENT", "settlementDetails": { "totalDebicheckCollectionsAmountCents": 0, "totalEftCollectionsAmountCents": 0, "totalDebicheckDisputesAmountCents": 0, "totalEftDisputesAmountCents": 0, "settlementPercentage": 0, "calculatedPositiveAmountCents": 0, "calculatedNegativeAmountCents": 0, "isValidPositiveSettlement": true }, "paymentReconReference": "string" } ] }]